%define _unpackaged_files_terminate_build 1

Name: bluez-utils
Version: 3.10
Release: alt2

Summary: BlueZ - Bluetooth protocol stack for Linux
License: GPL
Group: Networking/Other
Url: http://www.bluez.org/

Packager: Mobile Development Team <mobile@packages.altlinux.org>

Source0: %name-%version.tar.gz
Source1: bluetooth.init
Patch0: bluez-utils-3.10-alt-hcid.conf.patch
# patch from http://kmobiletools.org/node/228, updated for 3.9
Patch1: bluez-utils-3.9-alt-pin-exec.patch
Patch2: bluez-utils-3.9-alt-suse-dbus-retry.patch
Patch3: bluez-utils-3.9-alt-udevdir.patch
Patch4: bluez-utils-3.9-suse-apitest-dbus.patch

Provides: bluez-sdp bluez-sdp-devel bluez-pan
Obsoletes: bluez-sdp bluez-sdp-devel bluez-pan

BuildPreReq: flex glib2-devel libdbus-devel libdbus-glib-devel libexpat-devel libusb-devel pkg-config setserial

BuildPreReq: libbluez-devel >= %version

Requires: dbus
Requires: libbluez >= %version

%package cups
Summary: BlueZ - Bluetooth protocol stack for Linux, cups backend
Group: Networking/Other
Requires: %name = %version-%release

%description
BlueZ - Bluetooth protocol stack for Linux

%description cups
cups backend

%package -n bluez-test
Group: Networking/Other
Summary: Tools for testing of various Bluetooth functions
Requires: libbluez >= %version
Conflicts: %name < 3.9-alt1
Obsoletes: bluez-hciemu
Provides: bluez-hciemu

%description -n bluez-test
Contains a few tools for testing various bluetooth functions.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p0
%patch3 -p1
%patch4 -p0
%__subst 's|/bin/fuser|/sbin/fuser|' scripts/bluetooth_serial

%build
%__autoreconf
%configure \
	--enable-avctrl \
	--enable-bccmd \
	--enable-cups \
	--enable-dfutool \
	--enable-glib \
	--enable-pcmciarules \
	--enable-pie \
	--disable-sdpd \
	--enable-test \
	--localstatedir=/var
%make_build

%install
mkdir -p %buildroot{%_sysconfdir/sysconfig,%_initdir}
%make DESTDIR=%buildroot install

%__subst "s|^\(HIDD_ENABLE=\).*|\1false|" scripts/bluetooth.default
%__subst "s|^\(RFCOMM_ENABLE=\).*|\1true|" scripts/bluetooth.default
install -m 0644 scripts/bluetooth.default %buildroot%_sysconfdir/sysconfig/bluetooth

install -m 0755 %SOURCE1 %buildroot%_sbindir/bluetoothctl
ln -s $(relative %_sbindir/bluetoothctl %_initdir/bluetooth)  %buildroot%_initdir/bluetooth

cp daemon/passkey-agent %buildroot%_bindir/

cp test/{apitest,attest,bdaddr,hsmicro,hsplay,hstest,lmptest,scotest,sdptest} %buildroot%_bindir/
install -m 0644 test/bdaddr.8 %buildroot%_man8dir/

if [ "%_lib" != "lib" ]; then
    mkdir -p %buildroot%_prefix/lib
    mv %buildroot%_libdir/cups %buildroot%_prefix/lib/cups
fi

%files
%doc AUTHORS ChangeLog README
%dir %_sysconfdir/bluetooth
%config(noreplace) %_sysconfdir/bluetooth/hcid.conf
%config(noreplace) %_sysconfdir/bluetooth/rfcomm.conf
%config(noreplace) %_sysconfdir/sysconfig/bluetooth
%config(noreplace) %_sysconfdir/udev/rules.d/bluetooth.rules
%config(noreplace) %_sysconfdir/dbus-1/system.d/bluetooth.conf
%_initdir/bluetooth
%_sbindir/bluetoothctl
%_bindir/ciptool
%_bindir/dfutool
%_bindir/dund
%_bindir/hcitool
%_bindir/hidd
%_bindir/l2ping
%_bindir/l2test
%_bindir/pand
%_bindir/passkey-agent
%_bindir/rctest
%_bindir/rfcomm
%_bindir/sdptool
%_sbindir/avctrl
%_sbindir/bccmd
%_sbindir/hciattach
%_sbindir/hciconfig
%_sbindir/hcid
%_sbindir/hid2hci
/lib/udev/bluetooth_serial
%_localstatedir/bluetooth/
%_man1dir/ciptool.1.*
%_man1dir/dfutool.1.*
%_man1dir/dund.1.*
%_man1dir/hcitool.1.*
%_man1dir/hidd.1.*
%_man1dir/l2ping.1.*
%_man1dir/pand.1.*
%_man1dir/rfcomm.1.*
%_man1dir/sdptool.1.*
%_man5dir/hcid.conf.5.*
%_man8dir/avctrl.8.*
%_man8dir/bccmd.8.*
%_man8dir/hciattach.8.*
%_man8dir/hciconfig.8.*
%_man8dir/hcid.8.*
%_man8dir/hid2hci.8.*

%files cups
%_prefix/lib/cups/backend/bluetooth

%files -n bluez-test
%_sbindir/hciemu
%_bindir/apitest
%_bindir/attest
%_bindir/bdaddr
%_bindir/hsmicro
%_bindir/hsplay
%_bindir/hstest
%_bindir/l2test
%_bindir/lmptest
%_bindir/rctest
%_bindir/scotest
%_bindir/sdptest
%_man8dir/bdaddr.8.*

%changelog
* Tue May 15 2007 Andrey Rahmatullin <wrar@altlinux.ru> 3.10-alt2
- increase dbus find time to 5 min
- do not build sdpd
- fix apitest for new python-modules-dbus (SuSE)

* Fri May 11 2007 Andrey Rahmatullin <wrar@altlinux.ru> 3.10-alt1
- 3.10
- spec cleanup
- fix dev files location (shrek, #11567)
- enable Major Service Class: Telephony in default CoD (Guest007)
- disable discoverable mode timeout (#11676)

* Wed Feb 14 2007 Andrey Rahmatullin <wrar@altlinux.ru> 3.9-alt2
- enable rfcomm by default (#10825)
- initscript:
  + enable sdpd support in hcid if sdpd daemon is disabled
  + check whether hcid and sdpd are enabled when stopping them
  + remove `killall rfcommd' and `rmmod' calls
  + package as %%_sbindir/bluetoothctl, leaving symlink in %%_initdir
    (#10726)

* Fri Feb 09 2007 Andrey Rahmatullin <wrar@altlinux.ru> 3.9-alt1
- 3.9
- hcid on start now retries to find dbus for 1 minute after start
  (patch from Daniel Gollub, SuSE)
- hcid.conf:
  + change default device class to 104 (Desktop)
  + add comment about device class numbers (from SuSE)
- package test utils separately, add missing obsoletes/provides
  for bluez-hciemu
- remove alsa subpackage
- install cups backend to prefix/lib even on x86_64 (#10762)

* Wed Dec 27 2006 Andrey Rahmatullin <wrar@altlinux.ru> 3.8-alt1
- 3.8
- remove wildcards from %%files
- enable _unpackaged_files_terminate_build
- remove --enable-all, explicitly enable what is needed
- disable FUSE "support"
- enable PIE linking
- sync module aliases with Debian (remove old lines, add hidp)
- add Requires: dbus
- add Requires: libbluez >= %%version

* Tue Nov 07 2006 Andrey Rahmatullin <wrar@altlinux.ru> 3.7-alt1
- 3.7
- spec cleanup
- remove kernel-headers-std26-up from buildreqs
- fix statedir path and package it (#8885)
- set default PIN to "1234" (Debian)
- set default device ident string to "%%h-%%d" (Debian)
- install passkey-agent (#10176)
- add patch from http://kmobiletools.org/node/228 for compatibility
  with old helpers

* Wed Aug 23 2006 Grigory Milev <week@altlinux.ru> 3.3-alt1
- new version released
- removed bluepin
- removed package pcmcia
- added D-Bus support
- added udev support

* Tue Feb 21 2006 Grigory Milev <week@altlinux.ru> 2.25-alt1
- new version released (Read ChangeLog in doc dir)

* Mon Aug 22 2005 Grigory Milev <week@altlinux.ru> 2.19-alt1
- new version released
- added cups and alsa support

* Thu Apr 14 2005 Grigory Milev <week@altlinux.ru> 2.15-alt4
- return unpackage file hcitool

* Thu Mar 17 2005 Grigory Milev <week@altlinux.ru> 2.15-alt3
- move misc tool to separate package

* Tue Mar 15 2005 Grigory Milev <week@altlinux.ru> 2.15-alt2
- Fix build requires

* Mon Mar 14 2005 Grigory Milev <week@altlinux.ru> 2.15-alt1
- new version released

* Mon Mar 14 2005 Grigory Milev <week@altlinux.ru> 2.13-alt3
- remove requires to python

* Wed Jan 12 2005 Grigory Milev <week@altlinux.ru> 2.13-alt2
- fixed build requires

* Tue Jan 11 2005 Grigory Milev <week@altlinux.ru> 2.13-alt1
- new version released
- turn off HIDD_ENABLE on default config

* Tue Nov  2 2004 Grigory Milev <week@altlinux.ru> 2.10-alt2
- Start bluez utils after hotplug

* Thu Sep 23 2004 Grigory Milev <week@altlinux.ru> 2.10-alt1
- new version released

* Wed Jul 14 2004 Grigory Milev <week@altlinux.ru> 2.7-alt3
- fixed startup script for work with chkconfig

* Mon Jun 28 2004 Grigory Milev <week@altlinux.ru> 2.7-alt2
- fix requires

* Mon Jun 21 2004 Grigory Milev <week@altlinux.ru> 2.7-alt1
- fixating init script (not all)
- bluez-sdp orphaned, currently moved to bluez-utils
- new version released

* Thu Jun  3 2004 Grigory Milev <week@altlinux.ru> 2.4-alt2
- rebuild with new python

* Tue Feb 24 2004 Grigory Milev <week@altlinux.ru> 2.4-alt1
- new version released
- move pcmcia scripts to separate package
- fix bluepin script

* Tue Oct 14 2003 Grigory Milev <week@altlinux.ru> 2.3-alt1
- new version released
- fix initscript for start/stop daemon support
- add modutils configuration

* Mon Mar 31 2003 Grigory Milev <week@altlinux.ru> 2.2-alt2
- move /dev/vhci to package MAKEDEV

* Tue Feb 18 2003 Grigory Milev <week@altlinux.ru> 2.2-alt1
- new version released

* Fri Dec 20 2002 Grigory Milev <week@altlinux.ru> 2.1-alt1
- Initial build.
